## org.codehaus.groovy.grails.web.converters.marshaller.xml
Class InstanceMethodBasedMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.xml.InstanceMethodBasedMarshaller

All Implemented Interfaces:
  ObjectMarshaller<XML>

    public class InstanceMethodBasedMarshaller

extends Object
implements ObjectMarshaller<XML>

Since:
  1.1
Author:
  Siegfried Puchbauer

Constructor Summary
`InstanceMethodBasedMarshaller()`

Method Summary
`protected groovy.lang.MetaMethod` `getToXMLMethod(Object object)`
`void` `marshalObject(Object object, XML converter)` Performs the conversion
`boolean` `supports(Object object)` Checks wheter the ObjectMarshaller is able/intended to support the given Object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceMethodBasedMarshaller

    public InstanceMethodBasedMarshaller()

Method Detail

### supports

    public boolean supports(Object object)

  Description copied from interface: `ObjectMarshaller`
  Checks wheter the ObjectMarshaller is able/intended to support the given Object

  Specified by:
    `supports` in interface `ObjectMarshaller<XML>`
  Parameters:
    `object` - the object which is about getting converted
  Returns:
    `true` if the marshaller can/should perform the marshalling, `false` otherwise

### marshalObject

    public void marshalObject(Object object,
                              XML converter)
                       throws ConverterException

  Description copied from interface: `ObjectMarshaller`
  Performs the conversion

  Specified by:
    `marshalObject` in interface `ObjectMarshaller<XML>`
  Parameters:
    `object` - the object which is about getting converted
    `converter` - the Converter to use
  Throws:
    `ConverterException` - on failure

### getToXMLMethod

    protected groovy.lang.MetaMethod getToXMLMethod(Object object)

Copyright (c) 2005-2009 The Grails project